summaryrefslogtreecommitdiff
path: root/pcr/openrc-misc
diff options
context:
space:
mode:
authorOmar Vega Ramos <ovruni@gnu.org.pe>2017-03-29 01:39:05 -0500
committerOmar Vega Ramos <ovruni@gnu.org.pe>2017-03-29 01:39:05 -0500
commit9520755fe0e3990a25e9a84d84e2d4e1263f2f77 (patch)
tree3679cfef71ec3ff16f75481287ca33ff286793e4 /pcr/openrc-misc
parent338073efe069972cfcab2267e407a34c8a4c83aa (diff)
openrc-misc-20170309-1.parabola3: Removing zfs-openrc
Diffstat (limited to 'pcr/openrc-misc')
-rw-r--r--pcr/openrc-misc/PKGBUILD12
-rw-r--r--pcr/openrc-misc/zfs.initd124
2 files changed, 1 insertions, 135 deletions
diff --git a/pcr/openrc-misc/PKGBUILD b/pcr/openrc-misc/PKGBUILD
index 200be971d..7ecaebf72 100644
--- a/pcr/openrc-misc/PKGBUILD
+++ b/pcr/openrc-misc/PKGBUILD
@@ -23,13 +23,12 @@ pkgname=('cpupower-openrc'
'bitlbee-openrc'
'thermald-openrc'
'xe-guest-utilities-openrc'
- 'zfs-openrc'
'clamav-openrc'
'at-openrc'
'libvirt-openrc'
'laptop-mode-tools-openrc')
pkgver=20170309
-pkgrel=1.parabola2
+pkgrel=1.parabola3
pkgdesc="OpenRC init scripts"
arch=('any')
url="https://github.com/manjaro/packages-openrc"
@@ -93,7 +92,6 @@ source=("fcron.initd::${_url}/sys-process/fcron/files/fcron.init.3"
"libvirt-guests.confd::${_url}/app-emulation/libvirt/files/libvirt-guests.confd"
"libvirt-guests.initd::${_url}/app-emulation/libvirt/files/libvirt-guests.init-r2"
"laptop_mode.initd::${_url}/app-laptop/laptop-mode-tools/files/laptop_mode.init-1.4"
- "zfs.initd"
"thermald.initd")
sha256sums=('af951e342ea3e96fb5294c54bdf226b0e733df8b96e8af9e4c1a836c0361ceca'
'0be3575df8010523de6b37e98c417192e8ec481292ca9fb47c8d2211795e03a6'
@@ -151,7 +149,6 @@ sha256sums=('af951e342ea3e96fb5294c54bdf226b0e733df8b96e8af9e4c1a836c0361ceca'
'd5f85bb8c1d2010347f23badc422e98046b97a0066254739b5829fce07837d63'
'f78ced5ebe644522c6ce102b3f6bcf932686243a50629559f988548c570cad3a'
'6bb07bd94b50ad559c3cd23b57dbb928ff0449d356d973ba281baa232435d9c6'
- '7321272190ea9846ab7e19b034649c1cd711d4f94a6bdcaaaec2f683bb822e7d'
'4bbb4e610d2d6bb22d83aa2980dca052a23b90fa6985c8245601b716dec986f4')
pkgver() {
@@ -369,13 +366,6 @@ package_xe-guest-utilities-openrc() {
_inst_initd 'xe-daemon'
}
-package_zfs-openrc() {
- pkgdesc="OpenRC zfs init script"
- depends=('openrc' 'zfs-utils')
-
- _inst_initd 'zfs'
-}
-
package_clamav-openrc() {
pkgdesc="OpenRC clamav init script"
depends=('openrc' 'clamav')
diff --git a/pcr/openrc-misc/zfs.initd b/pcr/openrc-misc/zfs.initd
deleted file mode 100644
index a022ee9a5..000000000
--- a/pcr/openrc-misc/zfs.initd
+++ /dev/null
@@ -1,124 +0,0 @@
-#!/usr/bin/openrc-run
-# Copyright 1999-2011 Gentoo Foundation
-# Released under the 2-clause BSD license.
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/zfs/files/zfs,v 0.9 2011/04/30 10:13:43 devsk Exp $
-
-if [ -z "$init" ]; then
- # Not interactive
- grep -qE '(^|[^\\](\\\\)* )zfs=(off|no)( |$)' /proc/cmdline && exit 3
-fi
-
-depend()
-{
- # Try to allow people to mix and match fstab with ZFS in a way that makes sense.
- if [ "$(mountinfo -s /)" = 'zfs' ]
- then
- before localmount
- else
- after localmount
- fi
-
- # bootmisc will log to /var which may be a different zfs than root.
- before bootmisc logger
- use mtab
- keyword -lxc -openvz -prefix -vserver
-}
-
-ZFS="/usr/bin/zfs"
-ZPOOL="/usr/bin/zpool"
-ZPOOL_CACHE="/etc/zfs/zpool.cache"
-ZFS_MODULE=zfs
-
-checksystem() {
- if [ ! -c /dev/zfs ]; then
- einfo "Checking if ZFS modules present"
- if ! modinfo zfs > /dev/null 2>&1 ; then
- eerror "$ZFS_MODULE not found. Is the ZFS package installed?"
- return 1
- fi
- fi
- einfo "Checking if zfs userspace tools present"
- if [ ! -x $ZPOOL ]; then
- eerror "$ZPOOL binary not found."
- return 1
- fi
- if [ ! -x $ZFS ]; then
- eerror "$ZFS binary not found."
- return 1
- fi
- return 0
-}
-
-start() {
- ebegin "Starting ZFS"
- checksystem || return 1
-
- # Delay until all required block devices are present.
- udevadm settle
-
- if [ ! -c /dev/zfs ]; then
- modprobe $ZFS_MODULE
- rv=$?
- if [ $rv -ne 0 ]; then
- eerror "Failed to load the $ZFS_MODULE module, check 'dmesg|tail'."
- eend $rv
- return $rv
- fi
- fi
-
- # Import all pools described by the cache file, and then mount
- # all filesystem based on their properties.
- if [ -f $ZPOOL_CACHE ]; then
- einfo "Importing ZFS pools"
- # as per fedora script, import can fail if all pools are already imported
- # The check for $rv makes no sense...but someday, it will work right.
- $ZPOOL import -c $ZPOOL_CACHE -aN 2>/dev/null || true
- rv=$?
- if [ $rv -ne 0 ]; then
- eerror "Failed to import not-yet imported pools."
- eend $rv
- return $rv
- fi
- fi
-
- einfo "Mounting ZFS filesystems"
- $ZFS mount -a
- rv=$?
- if [ $rv -ne 0 ]; then
- eerror "Failed to mount ZFS filesystems."
- eend $rv
- return $rv
- fi
-
- einfo "Exporting ZFS filesystems"
- $ZFS share -a
- rv=$?
- if [ $rv -ne 0 ]; then
- eerror "Failed to export ZFS filesystems."
- eend $rv
- return $rv
- fi
-
- eend 0
- return 0
-}
-
-stop()
-{
- ebegin "Unmounting ZFS filesystems"
- $ZFS umount -a
- rv=$?
- if [ $rv -ne 0 ]; then
- einfo "Some ZFS filesystems not unmounted"
- fi
-
- # Don't fail if we couldn't umount everything. /usr might be in use.
- eend 0
- return 0
-}
-
-status()
-{
- # show pool status and list
- $ZPOOL status && echo && $ZPOOL list
-}